Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class Queue

    java.lang.Object
      com.pmease.quickbuild.model.Queue

All Implemented Interfaces:
  java.io.Serializable

public class Queue
extends java.lang.Object
implements java.io.Serializable

A build queue.

Author:
  robin shine
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_NAME`

Constructor Summary
`Queue()`

Method Summary
`void` | `addToWaitings(TriggeringInstance instance)`
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getName()` Specify name of this queue
`int` | `getNumOfWaitings(Configuration configuration)`
`java.util.List` | `getRemovals()`
`java.util.List` | `getRunningsCopy()`
`long` | `getThreadCount()` You should configure the number of working threads in this queue to run builds.
`java.util.List` | `getWaitingsCopy()`
`int` | `hashCode()`
`boolean` | `isAggregateAdjacentBuilds()` If this flag is set, QuickBuild will aggregate adjacent builds in this queue when it thinks proper.
`void` | `moveWaitingsToRunnings()`
`void` | `remove(TriggeringInstance instance)`
`void` | `setAggregateAdjacentBuilds(boolean aggregateAdjacentBuilds)`
`void` | `setName(java.lang.String name)`
`void` | `setThreadCount(long threadCount)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NAME

    public static final java.lang.String DEFAULT_NAME

See Also:
  Constant Field Values

Constructor Detail

### Queue

    public Queue()

Method Detail

### getThreadCount

    public long getThreadCount()

  You should configure the number of working threads in this queue to run builds. If all threads are occupied, later build requests will be put into the waiting list.

  Returns:

### setThreadCount

    public void setThreadCount(long threadCount)

### isAggregateAdjacentBuilds

    public boolean isAggregateAdjacentBuilds()

  If this flag is set, QuickBuild will aggregate adjacent builds in this queue when it thinks proper. Considering this case: You set up continuous integration for a project which takes a long time to build. However, developers checkin their code frequently, which cause a lot of build requests sent to QuickBuild. By setting this flag, these build requests will be aggregated to form much fewer requests which will grealy save CPU cycles of your build machine, while still keeps the ability to timely inform developers about whether or not their checkin breaks the code base.

  Returns:

### setAggregateAdjacentBuilds

    public void setAggregateAdjacentBuilds(boolean aggregateAdjacentBuilds)

### getName

    public java.lang.String getName()

  Specify name of this queue

### setName

    public void setName(java.lang.String name)

### getRemovals

    public java.util.List getRemovals()

### getWaitingsCopy

    public java.util.List getWaitingsCopy()

### getRunningsCopy

    public java.util.List getRunningsCopy()

### addToWaitings

    public void addToWaitings(TriggeringInstance instance)

### getNumOfWaitings

    public int getNumOfWaitings(Configuration configuration)

### moveWaitingsToRunnings

    public void moveWaitingsToRunnings()

### remove

    public void remove(TriggeringInstance instance)

### equals

    public boolean equals(java.lang.Object other)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.